org.eclipse.microprofile.reactive.streams.operators.tck

## Class ReactiveStreamsTck<E extends ReactiveStreamsEngine>

- java.lang.Object
- - org.eclipse.microprofile.reactive.streams.operators.tck.ReactiveStreamsTck<E>

Type Parameters:
  `E` - The type of the Reactive Streams engine.

Direct Known Subclasses:
  ReactiveStreamsCdiTck

    public abstract class ReactiveStreamsTck<E extends ReactiveStreamsEngine>
    extends java.lang.Object

The Reactive Streams TCK.

A concrete class that extends this class is all that is needed to verify a `ReactiveStreamsEngine` against this TCK.

It produces a number of TestNG test classes via the TestNG `Factory` annotated `allTests()` method.

### Constructor Summary

Constructors
Constructor and Description
`ReactiveStreamsTck(org.reactivestreams.tck.TestEnvironment testEnvironment)`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`java.lang.Object[]` `allTests()`
`protected abstract E` `createEngine()` Override to provide the reactive streams engine.
`protected ReactiveStreamsFactory` `createFactory()` Create the reactive streams factory to use.
`protected boolean` `isEnabled(java.lang.Object test)` Override this to disable/enable tests, useful for debugging one test at a time.
`void` `shutdownEngine()`
`protected void` `shutdownEngine(E engine)` Override to implement custom shutdown logic for the Reactive Streams engine.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ReactiveStreamsTck

    public ReactiveStreamsTck(org.reactivestreams.tck.TestEnvironment testEnvironment)

### Method Detail

#### createEngine

    protected abstract E createEngine()

Override to provide the reactive streams engine.

#### createFactory

    protected ReactiveStreamsFactory createFactory()

Create the reactive streams factory to use. By default, will use one backed by the ReactiveStreams static factory methods, that is, using the ServiceLoader to locate one.

#### shutdownEngine

    protected void shutdownEngine(E engine)

Override to implement custom shutdown logic for the Reactive Streams engine.

#### isEnabled

    protected boolean isEnabled(java.lang.Object test)

Override this to disable/enable tests, useful for debugging one test at a time.

#### shutdownEngine

    public void shutdownEngine()

#### allTests

    public java.lang.Object[] allTests()